<?php
require_once 'model.php';

class UserPreference extends Model {
    public static function get($userId, $key) {
        $sql = "SELECT value FROM user_preferences WHERE user_id = :user_id AND preference_key = :key";
        $result = self::fetch($sql, ['user_id' => $userId, 'key' => $key]);
        return $result ? $result['value'] : null;
    }

    public static function set($userId, $key, $value) {
        $sql = "INSERT INTO user_preferences (user_id, preference_key, value) 
                VALUES (:user_id, :key, :value) 
                ON DUPLICATE KEY UPDATE value = :value";
        return self::execute($sql, ['user_id' => $userId, 'key' => $key, 'value' => $value]);
    }
}
