<?php
require_once 'model.php';

class CostType extends Model {
    public static function getAll() {
        $sql = "SELECT * FROM cost_types ORDER BY name";
        return self::fetchAll($sql);
    }

    public static function add($name) {
        $sql = "INSERT INTO cost_types (name) VALUES (:name)";
        return self::execute($sql, ['name' => $name]);
    }

    public static function delete($id) {
        // Sprawdź, czy typ kosztu jest używany
        $checkSql = "SELECT COUNT(*) as count FROM costs WHERE cost_type_id = :id";
        $result = self::fetch($checkSql, ['id' => $id]);
        
        if ($result['count'] > 0) {
            throw new Exception('Nie można usunąć typu kosztu, który jest używany');
        }

        $sql = "DELETE FROM cost_types WHERE id = :id";
        return self::execute($sql, ['id' => $id]);
    }
}
