<?php
// app/models/documentcategory.php

require_once 'model.php';

class DocumentCategory extends Model
{
    public static function getAll()
    {
        $sql = "SELECT * FROM document_categories ORDER BY name";
        return self::fetchAll($sql);
    }

    public static function getById($id)
    {
        $sql = "SELECT * FROM document_categories WHERE id = :id";
        return self::fetch($sql, ['id' => $id]);
    }

    public static function add($name, $description)
    {
        $sql = "INSERT INTO document_categories (name, description) VALUES (:name, :description)";
        return self::execute($sql, ['name' => $name, 'description' => $description]);
    }

    public static function update($id, $name, $description)
    {
        $sql = "UPDATE document_categories SET name = :name, description = :description WHERE id = :id";
        return self::execute($sql, ['id' => $id, 'name' => $name, 'description' => $description]);
    }

    public static function delete($id)
    {
        $sql = "DELETE FROM document_categories WHERE id = :id";
        return self::execute($sql, ['id' => $id]);
    }
    public static function getPolicyCategories()
    {
        $sql = "SELECT * FROM document_categories WHERE name IN ('Polisa OC', 'Polisa AC') ORDER BY name";
        return self::fetchAll($sql);
    }
}