<?php
// W pliku app/routes/company_routes.php

Flight::route('GET /companies', function() {
    if (!isLoggedIn()) {
        Flight::redirect('/');
    } else {
        $companies = Company::getAll();
        Flight::render('company_list', ['companies' => $companies]);
    }
});

Flight::route('GET /company/add', function() {
    if (!isLoggedIn()) {
        Flight::redirect('/');
    } else {
        Flight::render('company_add');
    }
});

Flight::route('POST /company/add', function() {
    if (!isLoggedIn()) {
        Flight::redirect('/');
    } else {
        $data = Flight::request()->data->getData();
        $data['is_active'] = isset($data['is_active']) ? 1 : 0;
        
        $result = Company::add($data);
        
        if ($result) {
            Flight::redirect('/companies?success=Firma została dodana');
        } else {
            Flight::redirect('/company/add?error=Nie udało się dodać firmy');
        }
    }
});

Flight::route('GET /company/edit/@id', function($id) {
    if (!isLoggedIn()) {
        Flight::redirect('/');
    } else {
        $company = Company::getById($id);
        Flight::render('company_edit', ['company' => $company]);
    }
});

Flight::route('POST /company/edit/@id', function($id) {
    if (!isLoggedIn()) {
        Flight::redirect('/');
    } else {
        $data = Flight::request()->data->getData();
        $data['is_active'] = isset($data['is_active']) ? 1 : 0;
        
        $result = Company::update($id, $data);
        
        if ($result) {
            Flight::redirect('/companies?success=Firma została zaktualizowana');
        } else {
            Flight::redirect("/company/edit/$id?error=Nie udało się zaktualizować firmy");
        }
    }
});

Flight::route('POST /company/delete/@id', function($id) {
    if (!isLoggedIn()) {
        Flight::redirect('/');
    } else {
        $result = Company::delete($id);
        
        if ($result) {
            Flight::redirect('/companies?success=Firma została usunięta');
        } else {
            Flight::redirect('/companies?error=Nie udało się usunąć firmy');
        }
    }
});