<?php
Flight::route('/home', function () {
    if (!isLoggedIn()) {
        Flight::redirect('/');
    } else {
        $employeeCount = Dashboard::getEmployeeCount();
        $upcomingInspections = Dashboard::getUpcomingInspections();
        $recentTasks = Dashboard::getRecentTasks();
        $employeesWithEndingContracts = Dashboard::getEmployeesWithEndingContracts(30, 5);
        $upcomingVehiclePolicies = Dashboard::getUpcomingVehiclePolicies();
        
        Flight::render('home', [
            'employeeCount' => $employeeCount,
            'upcomingInspections' => $upcomingInspections,
            'recentTasks' => $recentTasks,
            'employeesWithEndingContracts' => $employeesWithEndingContracts,
            'upcomingVehiclePolicies' => $upcomingVehiclePolicies
        ]);
    }
});
