<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Dodaj nowego pracownika</h2>
        </div>
        <div class="card-body">
            <form action="/add_employee" method="post" class="form-container">
                <?php
                $sections = [
                    'Dane osobowe' => ['first_name', 'last_name', 'pesel', 'date_of_birth', 'gender'],
                    'Dane kontaktowe' => ['phone_number', 'email'],
                    'Adres' => ['address', 'city', 'postal_code', 'country'],
                    'Dane zawodowe' => ['company_id', 'position', 'hire_date', 'nip'],
                    'Dokumenty' => ['id_card_number', 'driving_license_number']
                ];

                $fields = [
                    'first_name' => 'Imię',
                    'last_name' => 'Nazwisko',
                    'pesel' => 'PESEL',
                    'date_of_birth' => 'Data urodzenia',
                    'gender' => 'Płeć',
                    'company_id' => 'Firma',
                    'hire_date' => 'Data zatrudnienia',
                    'nip' => 'NIP',
                    'address' => 'Adres',
                    'city' => 'Miasto',
                    'postal_code' => 'Kod pocztowy',
                    'country' => 'Kraj',
                    'phone_number' => 'Numer telefonu',
                    'email' => 'Email',
                    'position' => 'Stanowisko',
                    'id_card_number' => 'Numer dowodu osobistego',
                    'driving_license_number' => 'Numer prawa jazdy'
                ];

                $required_fields = ['first_name', 'last_name', 'pesel', 'date_of_birth', 'position', 'gender', 'company_id', 'hire_date'];

                foreach ($sections as $section_name => $section_fields):
                ?>
                    <div class="form-section mb-4">
                        <h3 class="section-title mb-3"><?php echo $section_name; ?></h3>
                        <div class="form-fields">
                            <?php foreach ($section_fields as $field): ?>
                                <div class="form-group">
                                    <label for="<?php echo $field; ?>" class="form-label"><?php echo $fields[$field]; ?>:</label>
                                    <div class="form-field">
                                        <?php if ($field === 'gender'): ?>
                                            <select id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-select" <?php echo in_array($field, $required_fields) ? 'required' : ''; ?>>
                                                <option value="male">Mężczyzna</option>
                                                <option value="female">Kobieta</option>
                                                <option value="other">Inne</option>
                                            </select>
                                        <?php elseif ($field === 'company_id'): ?>
                                            <select name="<?php echo $field; ?>" id="<?php echo $field; ?>" class="form-select" <?php echo in_array($field, $required_fields) ? 'required' : ''; ?>>
                                                <?php foreach ($companies as $company): ?>
                                                    <option value="<?php echo $company['id']; ?>">
                                                        <?php echo htmlspecialchars($company['name']); ?>
                                                    </option>
                                                <?php endforeach; ?>
                                            </select>
                                        <?php elseif (in_array($field, ['date_of_birth', 'hire_date'])): ?>
                                            <input type="date" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" <?php echo in_array($field, $required_fields) ? 'required' : ''; ?>>
                                        <?php else: ?>
                                            <input type="<?php echo $field === 'email' ? 'email' : 'text'; ?>" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" <?php echo in_array($field, $required_fields) ? 'required' : ''; ?>>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                <?php endforeach; ?>
                <div class="text-center mt-4">
                    <button type="submit" class="btn btn-primary btn-lg btn-submit">Dodaj pracownika</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>