<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Edytuj firmę</h2>
        </div>
        <div class="card-body">
            <form action="/company/edit/<?php echo $company['id']; ?>" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Podstawowe informacje</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="name" class="form-label required">Nazwa firmy:</label>
                            <input type="text" id="name" name="name" class="form-control" value="<?php echo htmlspecialchars($company['name']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="nip" class="form-label required">NIP:</label>
                            <input type="text" id="nip" name="nip" class="form-control" value="<?php echo htmlspecialchars($company['nip']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="legal_form" class="form-label">Forma prawna:</label>
                            <input type="text" id="legal_form" name="legal_form" class="form-control" value="<?php echo htmlspecialchars($company['legal_form']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="regon" class="form-label">REGON:</label>
                            <input type="text" id="regon" name="regon" class="form-control" value="<?php echo htmlspecialchars($company['regon']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="krs" class="form-label">KRS:</label>
                            <input type="text" id="krs" name="krs" class="form-control" value="<?php echo htmlspecialchars($company['krs']); ?>">
                        </div>
                    </div>
                </div>

                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Dane kontaktowe</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="address" class="form-label">Adres:</label>
                            <input type="text" id="address" name="address" class="form-control" value="<?php echo htmlspecialchars($company['address']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="city" class="form-label">Miasto:</label>
                            <input type="text" id="city" name="city" class="form-control" value="<?php echo htmlspecialchars($company['city']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="postal_code" class="form-label">Kod pocztowy:</label>
                            <input type="text" id="postal_code" name="postal_code" class="form-control" value="<?php echo htmlspecialchars($company['postal_code']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="country" class="form-label">Kraj:</label>
                            <input type="text" id="country" name="country" class="form-control" value="<?php echo htmlspecialchars($company['country']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="phone" class="form-label">Telefon:</label>
                            <input type="text" id="phone" name="phone" class="form-control" value="<?php echo htmlspecialchars($company['phone']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="email" class="form-label">Email:</label>
                            <input type="email" id="email" name="email" class="form-control" value="<?php echo htmlspecialchars($company['email']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="website" class="form-label">Strona internetowa:</label>
                            <input type="url" id="website" name="website" class="form-control" value="<?php echo htmlspecialchars($company['website']); ?>">
                        </div>
                    </div>
                </div>

                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Dane bankowe</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="bank_name" class="form-label">Nazwa banku:</label>
                            <input type="text" id="bank_name" name="bank_name" class="form-control" value="<?php echo htmlspecialchars($company['bank_name']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="bank_account" class="form-label">Numer konta bankowego:</label>
                            <input type="text" id="bank_account" name="bank_account" class="form-control" value="<?php echo htmlspecialchars($company['bank_account']); ?>">
                        </div>
                    </div>
                </div>

                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Status</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <div class="form-check">
                                <input type="checkbox" id="is_active" name="is_active" class="form-check-input" <?php echo $company['is_active'] ? 'checked' : ''; ?>>
                                <label for="is_active" class="form-check-label">Aktywna</label>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="text-center mt-4">
                    <button type="submit" class="btn btn-primary btn-lg btn-submit">
                        <i class="fas fa-save"></i> Zapisz zmiany
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>