<?php include 'header.php'; ?>

<div class="container">
    <div class="section-header mb-3 d-flex justify-content-between align-items-center">
        <h2>Lista firm</h2>
        <a href="/company/add" class="btn btn-primary">
            <i class="fas fa-plus"></i> Dodaj firmę
        </a>
    </div>

    <div class="card shadow">
        <div class="card-body">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Lp.</th>
                            <th>Nazwa</th>
                            <th>NIP</th>
                            <th>Miasto</th>
                            <th>Telefon</th>
                            <th>Status</th>
                            <th>Akcje</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($companies as $index => $company): ?>
                            <tr>
                                <td data-label="Lp."><?php echo $index + 1; ?></td>
                                <td data-label="Nazwa"><?php echo htmlspecialchars($company['name']); ?></td>
                                <td data-label="NIP"><?php echo htmlspecialchars($company['nip']); ?></td>
                                <td data-label="Miasto"><?php echo htmlspecialchars($company['city']); ?></td>
                                <td data-label="Telefon"><?php echo htmlspecialchars($company['phone']); ?></td>
                                <td data-label="Status">
                                    <span class="badge <?php echo $company['is_active'] ? 'bg-success' : 'bg-danger'; ?>">
                                        <?php echo $company['is_active'] ? 'Aktywna' : 'Nieaktywna'; ?>
                                    </span>
                                </td>
                                <td data-label="Akcje">
                                    <div class="btn-group" role="group" aria-label="Akcje firmy">
                                        <a href="/company/edit/<?php echo $company['id']; ?>" class="btn btn-outline-secondary btn-sm" title="Edytuj">
                                            <i class="fas fa-edit"></i>
                                        </a>
                                        <button type="button" class="btn btn-outline-danger btn-sm" title="Usuń" onclick="confirmDelete(<?php echo $company['id']; ?>)">
                                            <i class="fas fa-trash-alt"></i>
                                        </button>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<script>
function confirmDelete(companyId) {
    if (confirm('Czy na pewno chcesz usunąć tę firmę?')) {
        fetch(`/company/delete/${companyId}`, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            credentials: 'same-origin'
        })
        .then(response => {
            if (!response.ok) {
                throw new Error(`HTTP error! status: ${response.status}`);
            }
            return response.json();
        })
        .then(data => {
            if (data.success) {
                window.location.reload();
            } else {
                alert('Błąd: ' + (data.message || 'Nieznany błąd'));
            }
        })
        .catch(error => {
            console.error('Szczegóły błędu:', error);
            alert('Wystąpił błąd podczas usuwania firmy: ' + error.message);
        });
    }
}
</script>

<?php include 'footer.php'; ?>
