<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Szczegóły kosztu</h2>
    <div class="actions-group">
        <a href="/cost/edit/<?php echo $cost['id']; ?>" class="btn btn-outline-secondary btn-sm">
            <i class="fas fa-edit"></i> Edytuj
        </a>
        <a href="#" class="btn btn-outline-danger btn-sm" onclick="confirmDelete(<?php echo $cost['id']; ?>)">
            <i class="fas fa-trash-alt"></i> Usuń
        </a>
    </div>
</div>

<div class="container">
    <div class="card shadow mb-4">
        <div class="card-body">
            <div class="cost-details">
                <div class="inner-card">
                    <div class="card-body">
                        <h3 class="card-title">Dane podstawowe</h3>
                        <?php
                        $costDetails = [
                            'Firma' => $cost['company_name'],
                            'Typ kosztu' => $cost['cost_type_name'],
                            'Kwota' => number_format($cost['amount'], 2, ',', ' ') . ' zł',
                            'Status' => '<span class="badge ' . ($cost['status'] == 'opłacone' ? 'bg-success' : 'bg-danger') . '">' . 
                                      htmlspecialchars($cost['status']) . '</span>',
                            'Dodano przez' => $cost['created_by_name'] ? htmlspecialchars($cost['created_by_name']) : 'System',
                            'Data dodania' => date('d.m.Y H:i', strtotime($cost['created_at']))
                        ];

                        foreach ($costDetails as $label => $value): ?>
                            <div class="mb-2">
                                <strong><?php echo htmlspecialchars($label); ?>:</strong>
                                <p class="mb-0"><?php echo $value; ?></p>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>

                <?php if (!empty($cost['description'])): ?>
                <div class="inner-card">
                    <div class="card-body">
                        <h3 class="card-title">Opis</h3>
                        <p><?php echo nl2br(htmlspecialchars($cost['description'])); ?></p>
                    </div>
                </div>
                <?php endif; ?>

                <?php if ($cost['relation_type'] !== 'none' && !empty($cost['related_id'])): ?>
                <div class="inner-card">
                    <div class="card-body">
                        <h3 class="card-title">Powiązany obiekt</h3>
                        <?php
                        $relatedObject = [
                            'Typ' => [
                                'vehicle' => 'Pojazd',
                                'equipment' => 'Sprzęt',
                                'employee' => 'Pracownik'
                            ][$cost['relation_type']] ?? $cost['relation_type'],
                            'Nazwa' => $relatedEntityName ?? 'Brak danych'
                        ];

                        foreach ($relatedObject as $label => $value): ?>
                            <div class="mb-2">
                                <strong><?php echo htmlspecialchars($label); ?>:</strong>
                                <p class="mb-0"><?php echo htmlspecialchars($value); ?></p>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>

<script>
function confirmDelete(costId) {
    if (confirm('Czy na pewno chcesz usunąć ten koszt?')) {
        var form = document.createElement('form');
        form.method = 'POST';
        form.action = '/cost/delete/' + costId;
        document.body.appendChild(form);
        form.submit();
    }
}
</script>

<?php include 'footer.php'; ?> 