<?php include 'header.php'; ?>

<div class="container">
    <div class="section-header mb-3 d-flex justify-content-between align-items-center">
        <h2>Typy kosztów</h2>
        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addCostTypeModal">
            <i class="fas fa-plus"></i> Dodaj typ kosztu
        </button>
    </div>

    <?php if (isset($_GET['success'])): ?>
        <div class="alert alert-success" role="alert">
            <?php echo htmlspecialchars($_GET['success']); ?>
        </div>
    <?php endif; ?>

    <?php if (isset($_GET['error'])): ?>
        <div class="alert alert-danger" role="alert">
            <?php echo htmlspecialchars($_GET['error']); ?>
        </div>
    <?php endif; ?>

    <div class="card shadow">
        <div class="card-body">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Nazwa</th>
                            <th>Akcje</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($costTypes as $type): ?>
                            <tr>
                                <td><?php echo htmlspecialchars($type['name']); ?></td>
                                <td>
                                    <button class="btn btn-outline-danger btn-sm" onclick="confirmDelete(<?php echo $type['id']; ?>)">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- Modal dodawania typu kosztu -->
<div class="modal fade" id="addCostTypeModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Dodaj nowy typ kosztu</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>
            <form action="/cost-type/add" method="POST">
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="name" class="form-label">Nazwa typu kosztu</label>
                        <input type="text" class="form-control" id="name" name="name" required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Anuluj</button>
                    <button type="submit" class="btn btn-primary">Dodaj</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
function confirmDelete(typeId) {
    if (confirm('Czy na pewno chcesz usunąć ten typ kosztu?')) {
        fetch(`/cost-type/delete/${typeId}`, {
            method: 'POST',
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                window.location.reload();
            } else {
                alert(data.message || 'Wystąpił błąd podczas usuwania typu kosztu');
            }
        })
        .catch(error => {
            console.error('Error:', error);
            alert('Wystąpił błąd podczas usuwania typu kosztu');
        });
    }
}
</script>

<?php include 'footer.php'; ?> 