<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Generuj dokument dla <?php echo htmlspecialchars($employee['first_name'] . ' ' . $employee['last_name']); ?></h2>
        </div>
        <div class="card-body">
            <form action="/document/generate" method="post" class="form-container">
                <input type="hidden" name="employee_id" value="<?php echo $employee['id']; ?>">
                <input type="hidden" name="company_id" value="<?php echo $employee['company_id']; ?>">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Szczegóły dokumentu</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="template_id" class="form-label required">Szablon dokumentu:</label>
                            <select id="template_id" name="template_id" class="form-select" required>
                                <option value="">Wybierz szablon</option>
                                <?php foreach ($templates as $template): ?>
                                    <option value="<?php echo $template['id']; ?>"><?php echo htmlspecialchars($template['name']); ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        <div id="dynamicFormFields">
                            <!-- Tutaj będą generowane dynamiczne pola formularza -->
                        </div>
                    </div>
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-submit">Generuj dokument</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script src="/js/document_generator.js"></script>
<script>
    var instructorName = '<?php echo isset($_SESSION['user_name']) ? $_SESSION['user_name'] : ''; ?>';
</script>

<?php include 'footer.php'; ?>