<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Lista szablonów dokumentów</h2>
    <div class="btn-group" role="group" aria-label="Akcje szablonów">
        <a href="/document-template/add" class="btn btn-primary">
            <i class="fas fa-plus"></i> Dodaj szablon
        </a>
        <a href="/document/categories" class="btn btn-secondary">
            <i class="fas fa-tags"></i> Kategorie
        </a>
    </div>
</div>

<div class="card shadow">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>Nazwa szablonu</th>
                        <th>Kategoria</th>
                        <th>Akcje</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($templates as $template): ?>
                        <tr>
                            <td><?php echo htmlspecialchars($template['name']); ?></td>
                            <td><?php echo htmlspecialchars($template['category_name']); ?></td>
                            <td>
                                <div class="btn-group" role="group" aria-label="Akcje szablonu">
                                    <a href="/document-template/edit/<?php echo $template['id']; ?>" class="btn btn-outline-secondary btn-sm" title="Edytuj">
                                        <i class="fas fa-edit"></i>
                                    </a>
                                    <form method="post" action="/document-template/delete/<?php echo $template['id']; ?>" class="d-inline" onsubmit="return confirm('Czy na pewno chcesz usunąć ten szablon?');">
                                        <button type="submit" class="btn btn-outline-danger btn-sm" title="Usuń">
                                            <i class="fas fa-trash-alt"></i>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>