<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Edytuj przegląd</h2>
        </div>
        <div class="card-body">
            <form action="/inspection/edit/<?php echo $inspection['id']; ?>" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Informacje o przeglądzie</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="vehicle_id" class="form-label required">Pojazd:</label>
                            <select name="vehicle_id" id="vehicle_id" class="form-control" required>
                                <?php foreach ($vehicles as $vehicle): ?>
                                    <option value="<?php echo $vehicle['id']; ?>" <?php echo $vehicle['id'] == $inspection['vehicle_id'] ? 'selected' : ''; ?>>
                                        <?php echo htmlspecialchars($vehicle['brand'] . ' ' . $vehicle['model'] . ' (' . $vehicle['registration_number'] . ')'); ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="inspection_type" class="form-label required">Typ przeglądu:</label>
                            <select name="inspection_type" id="inspection_type" class="form-control" required>
                                <option value="techniczny" <?php echo $inspection['inspection_type'] == 'techniczny' ? 'selected' : ''; ?>>Techniczny</option>
                                <option value="serwisowy" <?php echo $inspection['inspection_type'] == 'serwisowy' ? 'selected' : ''; ?>>Serwisowy</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="inspection_date" class="form-label required">Data przeglądu:</label>
                            <input type="date" id="inspection_date" name="inspection_date" class="form-control" value="<?php echo $inspection['inspection_date']; ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="expiration_date" class="form-label required">Data ważności:</label>
                            <input type="date" id="expiration_date" name="expiration_date" class="form-control" value="<?php echo $inspection['expiration_date']; ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="mileage" class="form-label required">Przebieg (km):</label>
                            <input type="number" id="mileage" name="mileage" class="form-control" value="<?php echo $inspection['mileage']; ?>" required>
                        </div>
                    </div>
                </div>

                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Dodatkowe informacje</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="notes" class="form-label">Uwagi:</label>
                            <textarea id="notes" name="notes" class="form-control" rows="4"><?php echo htmlspecialchars($inspection['notes']); ?></textarea>
                        </div>
                        <div class="form-group" id="service_actions_group" style="display: <?php echo $inspection['inspection_type'] == 'serwisowy' ? 'block' : 'none'; ?>;">
                            <label for="service_actions" class="form-label">Wykonane czynności serwisowe:</label>
                            <textarea id="service_actions" name="service_actions" class="form-control" rows="4"><?php echo htmlspecialchars($inspection['service_actions']); ?></textarea>
                        </div>
                    </div>
                </div>

                <div class="text-center mt-4">
                    <button type="submit" class="btn btn-primary btn-lg btn-submit">
                        <i class="fas fa-save"></i> Zapisz zmiany
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
document.addEventListener('DOMContentLoaded', function() {
    document.getElementById('inspection_type').addEventListener('change', function() {
        var serviceActionsGroup = document.getElementById('service_actions_group');
        if (this.value === 'serwisowy') {
            serviceActionsGroup.style.display = 'block';
        } else {
            serviceActionsGroup.style.display = 'none';
        }
    });

    document.getElementById('inspection_date').addEventListener('change', function() {
        var inspectionDate = new Date(this.value);
        var expirationDate = new Date(inspectionDate);
        expirationDate.setFullYear(expirationDate.getFullYear() + 1);
        document.getElementById('expiration_date').value = expirationDate.toISOString().split('T')[0];
    });
});
</script>

<?php include 'footer.php'; ?>
