<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Edytuj pracownika</h2>
        </div>
        <div class="card-body">
            <form action="/employee/edit/<?php echo $employee['id']; ?>" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Informacje o pracowniku</h3>
                    <div class="form-fields">
                        <?php
                        $fields = [
                            'first_name' => 'Imię',
                            'last_name' => 'Nazwisko',
                            'pesel' => 'PESEL',
                            'nip' => 'NIP',
                            'date_of_birth' => 'Data urodzenia',
                            'gender' => 'Płeć',
                            'address' => 'Adres',
                            'city' => 'Miasto',
                            'postal_code' => 'Kod pocztowy',
                            'country' => 'Kraj',
                            'phone_number' => 'Numer telefonu',
                            'email' => 'Email',
                            'position' => 'Stanowisko',
                            'company_id' => 'Firma'
                        ];

                        $required_fields = ['first_name', 'last_name', 'pesel', 'date_of_birth', 'position', 'gender', 'company_id'];

                        foreach ($fields as $field => $label):
                            $is_required = in_array($field, $required_fields);
                        ?>
                            <div class="form-group">
                                <label for="<?php echo $field; ?>" class="form-label <?php echo $is_required ? 'required' : ''; ?>"><?php echo $label; ?>:</label>
                                <?php if ($field === 'gender'): ?>
                                    <select id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-select" <?php echo $is_required ? 'required' : ''; ?>>
                                        <option value="male" <?php echo $employee[$field] == 'male' ? 'selected' : ''; ?>>Mężczyzna</option>
                                        <option value="female" <?php echo $employee[$field] == 'female' ? 'selected' : ''; ?>>Kobieta</option>
                                    </select>
                                <?php elseif ($field === 'company_id'): ?>
                                    <select id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-select" <?php echo $is_required ? 'required' : ''; ?>>
                                        <?php foreach ($companies as $company): ?>
                                            <option value="<?php echo $company['id']; ?>" <?php echo $employee[$field] == $company['id'] ? 'selected' : ''; ?>>
                                                <?php echo htmlspecialchars($company['name']); ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                <?php elseif ($field === 'date_of_birth'): ?>
                                    <input type="date" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" value="<?php echo htmlspecialchars($employee[$field]); ?>" <?php echo $is_required ? 'required' : ''; ?>>
                                <?php else: ?>
                                    <input type="<?php echo $field === 'email' ? 'email' : 'text'; ?>" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" value="<?php echo htmlspecialchars($employee[$field]); ?>" <?php echo $is_required ? 'required' : ''; ?>>
                                <?php endif; ?>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>

                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-lg">Zapisz zmiany</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>