<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Dodaj nowy sprzęt</h2>
        </div>
        <div class="card-body">
            <form action="/equipment/add" method="post" class="form-container">
                <?php
                $fields = [
                    'name' => 'Nazwa',
                    'serial_number' => 'Numer seryjny',
                    'description' => 'Opis',
                    'purchase_date' => 'Data zakupu',
                    'company_id' => 'Firma',
                    'category' => 'Kategoria',
                    'status' => 'Status',
                    'last_maintenance_date' => 'Data ostatniej konserwacji',
                    'next_maintenance_date' => 'Data następnej konserwacji'
                ];
                ?>

                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Dane sprzętu</h3>
                    <div class="form-fields">
                        <?php foreach ($fields as $field => $label): ?>
                            <div class="form-group">
                                <label for="<?php echo $field; ?>" class="form-label"><?php echo $label; ?>:</label>
                                <div class="form-field">
                                    <?php if ($field === 'company_id'): ?>
                                        <select id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-select" required>
                                            <option value="">Wybierz firmę</option>
                                            <?php foreach ($companies as $company): ?>
                                                <option value="<?php echo $company['id']; ?>" <?php echo (isset($item) && $item['company_id'] == $company['id']) ? 'selected' : ''; ?>>
                                                    <?php echo htmlspecialchars($company['name']); ?>
                                                </option>
                                            <?php endforeach; ?>
                                        </select>
                                    <?php elseif (in_array($field, ['purchase_date', 'last_maintenance_date', 'next_maintenance_date'])): ?>
                                        <input type="date" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" value="<?php echo isset($item) ? $item[$field] : ''; ?>" required>
                                    <?php elseif ($field === 'status'): ?>
                                        <select id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-select">
                                            <option value="active" <?php echo (isset($item) && $item['status'] == 'active') ? 'selected' : ''; ?>>Aktywny</option>
                                            <option value="inactive" <?php echo (isset($item) && $item['status'] == 'inactive') ? 'selected' : ''; ?>>Nieaktywny</option>
                                            <option value="in_maintenance" <?php echo (isset($item) && $item['status'] == 'in_maintenance') ? 'selected' : ''; ?>>W konserwacji</option>
                                        </select>
                                    <?php else: ?>
                                        <input type="text" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" value="<?php echo isset($item) ? htmlspecialchars($item[$field]) : ''; ?>" required>
                                    <?php endif; ?>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>
                <div class="text-center mt-4">
                    <button type="submit" class="btn btn-primary btn-lg">Dodaj sprzęt</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>