<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Szczegóły sprzętu</h2>
    <div class="btn-group">
        <a href="/equipment/edit/<?php echo $item['id']; ?>" class="btn btn-primary">
            <i class="fas fa-edit"></i> Edytuj
        </a>
        <form action="/equipment/delete/<?php echo $item['id']; ?>" method="post" style="display: inline;">
            <button type="submit" class="btn btn-danger" onclick="return confirm('Czy na pewno chcesz usunąć ten sprzęt?')">
                <i class="fas fa-trash"></i> Usuń
            </button>
        </form>
    </div>
</div>

<div class="card shadow">
    <div class="card-body">
        <div class="form-container">
            <div class="form-section mb-4">
                <h3 class="section-title mb-3">Informacje o sprzęcie</h3>
                <div class="form-fields">
                    <div class="form-group">
                        <label class="form-label">Nazwa:</label>
                        <div class="form-control-plaintext"><?php echo htmlspecialchars($item['name']); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Numer seryjny:</label>
                        <div class="form-control-plaintext"><?php echo htmlspecialchars($item['serial_number']); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Opis:</label>
                        <div class="form-control-plaintext"><?php echo nl2br(htmlspecialchars($item['description'])); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Data zakupu:</label>
                        <div class="form-control-plaintext"><?php echo $item['purchase_date']; ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Firma:</label>
                        <div class="form-control-plaintext"><?php echo htmlspecialchars($item['company_name']); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Kategoria:</label>
                        <div class="form-control-plaintext"><?php echo htmlspecialchars($item['category']); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Status:</label>
                        <div class="form-control-plaintext"><?php echo htmlspecialchars($item['status']); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Data ostatniej konserwacji:</label>
                        <div class="form-control-plaintext"><?php echo $item['last_maintenance_date']; ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Data następnej konserwacji:</label>
                        <div class="form-control-plaintext"><?php echo $item['next_maintenance_date']; ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>