<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Edytuj sprzęt</h2>
        </div>
        <div class="card-body">
            <form action="/equipment/edit/<?php echo $item['id']; ?>" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Dane sprzętu</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="name" class="form-label required">Nazwa:</label>
                            <input type="text" id="name" name="name" class="form-control" required value="<?php echo isset($item) ? htmlspecialchars($item['name']) : ''; ?>">
                        </div>
                        <div class="form-group">
                            <label for="serial_number" class="form-label">Numer seryjny:</label>
                            <input type="text" id="serial_number" name="serial_number" class="form-control" value="<?php echo isset($item) ? htmlspecialchars($item['serial_number']) : ''; ?>">
                        </div>
                        <div class="form-group">
                            <label for="description" class="form-label">Opis:</label>
                            <textarea id="description" name="description" class="form-control"><?php echo isset($item) ? htmlspecialchars($item['description']) : ''; ?></textarea>
                        </div>
                        <div class="form-group">
                            <label for="purchase_date" class="form-label required">Data zakupu:</label>
                            <input type="date" id="purchase_date" name="purchase_date" class="form-control" value="<?php echo isset($item) ? $item['purchase_date'] : ''; ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="company_id" class="form-label required">Firma:</label>
                            <select id="company_id" name="company_id" class="form-control" required>
                                <option value="">Wybierz firmę</option>
                                <?php foreach ($companies as $company): ?>
                                    <option value="<?php echo $company['id']; ?>" <?php echo (isset($item) && $item['company_id'] == $company['id']) ? 'selected' : ''; ?>>
                                        <?php echo htmlspecialchars($company['name']); ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="category" class="form-label">Kategoria:</label>
                            <input type="text" id="category" name="category" class="form-control" value="<?php echo isset($item) ? htmlspecialchars($item['category']) : ''; ?>">
                        </div>
                        <div class="form-group">
                            <label for="status" class="form-label">Status:</label>
                            <select id="status" name="status" class="form-control">
                                <option value="active" <?php echo (isset($item) && $item['status'] == 'active') ? 'selected' : ''; ?>>Aktywny</option>
                                <option value="inactive" <?php echo (isset($item) && $item['status'] == 'inactive') ? 'selected' : ''; ?>>Nieaktywny</option>
                                <option value="in_maintenance" <?php echo (isset($item) && $item['status'] == 'in_maintenance') ? 'selected' : ''; ?>>W konserwacji</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="last_maintenance_date" class="form-label">Data ostatniej konserwacji:</label>
                            <input type="date" id="last_maintenance_date" name="last_maintenance_date" class="form-control" value="<?php echo isset($item) ? $item['last_maintenance_date'] : ''; ?>">
                        </div>
                        <div class="form-group">
                            <label for="next_maintenance_date" class="form-label">Data następnej konserwacji:</label>
                            <input type="date" id="next_maintenance_date" name="next_maintenance_date" class="form-control" value="<?php echo isset($item) ? $item['next_maintenance_date'] : ''; ?>">
                        </div>
                    </div>
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-lg">Zapisz zmiany</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>