<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Lista sprzętu</h2>
    <a href="/equipment/add" class="btn btn-primary btn-add-equipment">
        <i class="fas fa-plus"></i> Dodaj sprzęt
    </a>
</div>

<div class="card shadow">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>Nazwa</th>
                        <th>Numer seryjny</th>
                        <th>Kategoria</th>
                        <th>Status</th>
                        <th>Firma</th>
                        <th>Data zakupu</th>
                        <th>Następna konserwacja</th>
                        <th>Akcje</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($equipment as $item): ?>
                        <tr>
                            <td><?php echo htmlspecialchars($item['name']); ?></td>
                            <td><?php echo htmlspecialchars($item['serial_number']); ?></td>
                            <td><?php echo htmlspecialchars($item['category']); ?></td>
                            <td><?php echo htmlspecialchars($item['status']); ?></td>
                            <td><?php echo htmlspecialchars($item['company_name']); ?></td>
                            <td><?php echo $item['purchase_date']; ?></td>
                            <td><?php echo $item['next_maintenance_date']; ?></td>
                            <td>
                                <div class="btn-group" role="group" aria-label="Akcje sprzętu">
                                    <a href="/equipment/<?php echo $item['id']; ?>" class="btn btn-outline-primary btn-sm" title="Szczegóły">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                    <a href="/equipment/edit/<?php echo $item['id']; ?>" class="btn btn-outline-secondary btn-sm" title="Edytuj">
                                        <i class="fas fa-edit"></i>
                                    </a>
                                    <form action="/equipment/delete/<?php echo $item['id']; ?>" method="post" class="d-inline">
                                        <button type="submit" class="btn btn-outline-danger btn-sm" title="Usuń" onclick="return confirm('Czy na pewno chcesz usunąć ten sprzęt?')">
                                            <i class="fas fa-trash-alt"></i>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>