<?php
// app/views/inspection_details.php
include 'header.php';
?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Szczegóły przeglądu</h2>
    <div class="actions-group">
        <a href="/inspection/edit/<?php echo $inspection['id']; ?>" class="btn btn-outline-secondary btn-sm">
            <i class="fas fa-edit"></i> Edytuj
        </a>
        <a href="#" class="btn btn-outline-danger btn-sm" onclick="confirmDelete(<?php echo $inspection['id']; ?>)">
            <i class="fas fa-trash-alt"></i> Usuń
        </a>
    </div>
</div>

<div class="container">
    <div class="card shadow mb-4">
        <div class="card-body">
            <div class="inspection-details">
                <div class="inner-card">
                    <div class="card-body">
                        <h3 class="card-title">Dane przeglądu</h3>
                        <?php
                        $inspectionDetails = [
                            'Data przeglądu' => $inspection['inspection_date'],
                            'Typ przeglądu' => $inspection['inspection_type'],
                            'Data ważności' => $inspection['expiration_date'],
                            'Przebieg' => number_format($inspection['mileage'], 0, ',', ' ') . ' km',
                            'Pojazd' => '<a href="/vehicle/' . $inspection['vehicle_id'] . '">' . 
                                        htmlspecialchars($inspection['vehicle_brand'] . ' ' . $inspection['vehicle_model'] . ' (' . $inspection['vehicle_registration_number'] . ')') . 
                                        '</a>',
                        ];

                        foreach ($inspectionDetails as $label => $value): ?>
                            <div class="mb-2">
                                <strong><?php echo htmlspecialchars($label); ?>:</strong>
                                <p class="mb-0"><?php echo $value; ?></p>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php if (!empty($inspection['notes'])): ?>
    <div class="card shadow mb-3">
        <div class="card-body">
            <h3 class="card-title">Uwagi</h3>
            <p><?php echo nl2br(htmlspecialchars($inspection['notes'])); ?></p>
        </div>
    </div>
    <?php endif; ?>

    <?php if ($inspection['inspection_type'] === 'serwisowy' && !empty($inspection['service_actions'])): ?>
    <div class="card shadow mb-3">
        <div class="card-body">
            <h3 class="card-title">Wykonane czynności serwisowe</h3>
            <p><?php echo nl2br(htmlspecialchars($inspection['service_actions'])); ?></p>
        </div>
    </div>
    <?php endif; ?>
</div>

<script>
function confirmDelete(inspectionId) {
    if (confirm('Czy na pewno chcesz usunąć ten przegląd?')) {
        var form = document.createElement('form');
        form.method = 'POST';
        form.action = '/inspection/delete/' + inspectionId;
        document.body.appendChild(form);
        form.submit();
    }
}
</script>

<?php include 'footer.php'; ?>
