<div class="card shadow">
    <div class="card-body">
        <?php
        error_log("Costs data in view: " . print_r($costs, true));
        if (empty($costs)): ?>
            <div class="alert alert-info">Brak kosztów do wyświetlenia.</div>
        <?php else: ?>
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>Lp.</th>
                        <th>Data</th>
                        <th>Kwota</th>
                        <th>Obiekt</th>
                        <th>Opis</th>
                        <th>Akcje</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($costs as $index => $cost): ?>
                        <tr>
                            <td data-label="Lp."><?php echo $index + 1; ?></td>
                            <td data-label="Data"><?php echo htmlspecialchars($cost['date']); ?></td>
                            <td data-label="Kwota"><?php echo number_format($cost['amount'], 2, ',', ' ') . ' zł'; ?></td>
                            <td data-label="Obiekt">
                                <?php 
                                if ($cost['is_general'] == 1) {
                                    echo 'Ogólny';
                                } else {
                                    echo htmlspecialchars($cost['related_name'] ?? 'Ogólny');
                                }
                                ?>
                            </td>
                            <td data-label="Opis">
                                <?php 
                                $description = $cost['description'] ?? '';
                                echo strlen($description) > 50 ? 
                                    htmlspecialchars(substr($description, 0, 50)) . '...' : 
                                    htmlspecialchars($description); 
                                ?>
                            </td>
                            <td data-label="Akcje">
                                <div class="btn-group" role="group" aria-label="Akcje kosztu">
                                    <a href="/cost/details/<?php echo $cost['id']; ?>" class="btn btn-outline-primary btn-sm" title="Szczegóły">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                    <a href="/cost/edit/<?php echo $cost['id']; ?>" class="btn btn-outline-secondary btn-sm" title="Edytuj">
                                        <i class="fas fa-edit"></i>
                                    </a>
                                    <button type="button" class="btn btn-outline-danger btn-sm" title="Usuń" onclick="confirmDelete(<?php echo $cost['id']; ?>)">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <?php endif; ?>
    </div>
</div>

<script>
function confirmDelete(costId) {
    if (confirm('Czy na pewno chcesz usunąć ten koszt?')) {
        fetch(`/cost/delete/${costId}`, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                window.location.reload();
            } else {
                alert('Wystąpił błąd podczas usuwania kosztu: ' + (data.message || 'Nieznany błąd'));
            }
        })
        .catch(error => {
            console.error('Error:', error);
            alert('Wystąpił błąd podczas usuwania kosztu');
        });
    }
}
</script>
