<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Dodaj zadanie</h2>
    <div class="btn-group">
        <button type="submit" form="taskForm" class="btn btn-primary">
            <i class="fas fa-save"></i> Zapisz
        </button>
        <a href="/tasks" class="btn btn-success">
            <i class="fas fa-list"></i> Lista zadań
        </a>
    </div>
</div>

<div class="card shadow">
    <div class="card-body">
        <form id="taskForm" action="/task/add" method="post">
            <div class="form-section mb-4">
                <h3 class="section-title mb-3">Szczegóły zadania</h3>
                <div class="form-fields">
                    <div class="form-group">
                        <label for="title">Tytuł:</label>
                        <input type="text" 
                               class="form-control <?php echo isset($errors['title']) ? 'is-invalid' : ''; ?>" 
                               id="title" 
                               name="title" 
                               required
                               value="<?php echo isset($old['title']) ? htmlspecialchars($old['title']) : ''; ?>">
                        <?php if (isset($errors['title'])): ?>
                            <div class="invalid-feedback"><?php echo $errors['title']; ?></div>
                        <?php endif; ?>
                    </div>
                    <div class="form-group">
                        <label for="description">Opis:</label>
                        <textarea class="form-control" 
                                  id="description" 
                                  name="description"><?php echo isset($old['description']) ? htmlspecialchars($old['description']) : ''; ?></textarea>
                    </div>
                    <div class="form-group">
                        <label for="priority">Priorytet:</label>
                        <select class="form-control" id="priority" name="priority" required>
                            <?php foreach (Task::getPriorities() as $value => $label): ?>
                                <option value="<?php echo $value; ?>" <?php echo (isset($old['priority']) && $old['priority'] == $value) ? 'selected' : ''; ?>>
                                    <?php echo $label; ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                        <?php if (isset($errors['priority'])): ?>
                            <div class="invalid-feedback"><?php echo $errors['priority']; ?></div>
                        <?php endif; ?>
                    </div>
                    <div class="form-group">
                        <label for="due_date">Termin (opcjonalnie):</label>
                        <input type="date" 
                               class="form-control <?php echo isset($errors['due_date']) ? 'is-invalid' : ''; ?>" 
                               id="due_date" 
                               name="due_date" 
                               value="<?php echo isset($old['due_date']) ? htmlspecialchars($old['due_date']) : ''; ?>">
                        <?php if (isset($errors['due_date'])): ?>
                            <div class="invalid-feedback"><?php echo $errors['due_date']; ?></div>
                        <?php endif; ?>
                    </div>
                    <div class="form-group">
                        <label for="status">Status:</label>
                        <select class="form-control" id="status" name="status">
                            <?php foreach (Task::getStatuses() as $value => $label): ?>
                                <option value="<?php echo $value; ?>" <?php echo (isset($old['status']) && $old['status'] == $value) ? 'selected' : ''; ?>>
                                    <?php echo $label; ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="assigned_to">Przypisz do:</label>
                        <select class="form-control" id="assigned_to" name="assigned_to">
                            <option value="">Ogólne</option>
                            <?php 
                            $users = User::getAll(); // Trzeba dodać tę metodę w modelu User
                            foreach ($users as $user): 
                            ?>
                                <option value="<?php echo $user['id']; ?>" 
                                        <?php echo (isset($old['assigned_to']) && $old['assigned_to'] == $user['id']) ? 'selected' : ''; ?>>
                                    <?php echo htmlspecialchars($user['name']); ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<?php include 'footer.php'; ?>
