<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Szczegóły zadania</h2>
    <div class="btn-group">
        <a href="/task/edit/<?php echo $task['id']; ?>" class="btn btn-primary">
            <i class="fas fa-edit"></i> Edytuj
        </a>
        <button type="submit" form="deleteForm" class="btn btn-danger">
            <i class="fas fa-check"></i> Zakończ
        </button>
        <a href="/tasks" class="btn btn-success">
            <i class="fas fa-list"></i> Lista zadań
        </a>
    </div>
</div>

<div class="card shadow">
    <div class="card-body">
        <div class="form-container">
            <div class="form-section mb-4">
                <h3 class="section-title mb-3">Informacje o zadaniu</h3>
                <div class="form-fields">
                    <div class="form-group">
                        <label class="form-label">Tytuł:</label>
                        <div class="form-control-plaintext"><?php echo htmlspecialchars($task['title']); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Opis:</label>
                        <div class="form-control-plaintext"><?php echo htmlspecialchars($task['description']); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Priorytet:</label>
                        <div class="form-control-plaintext">
                            <?php 
                            $priorities = Task::getPriorities();
                            echo htmlspecialchars($priorities[$task['priority']] ?? $task['priority']); 
                            ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Termin:</label>
                        <div class="form-control-plaintext">
                            <?php 
                            $dueDate = strtotime($task['due_date']);
                            echo ($dueDate && $dueDate !== strtotime('1970-01-01')) 
                                ? date('d.m.Y', $dueDate) 
                                : 'Bez terminu'; 
                            ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Status:</label>
                        <div class="form-control-plaintext">
                            <?php 
                            $statuses = Task::getStatuses();
                            echo htmlspecialchars($statuses[$task['status']] ?? $task['status']); 
                            ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-label">Przypisane do:</label>
                        <div class="form-control-plaintext">
                            <?php 
                            if ($task['assigned_to']) {
                                echo htmlspecialchars($task['user_name']);
                            } else {
                                echo 'Ogólne';
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Ukryty formularz do zakończenia zadania -->
        <form id="deleteForm" action="/task/delete/<?php echo $task['id']; ?>" method="post" style="display: none;" 
              onsubmit="return confirm('Czy na pewno chcesz oznaczyć to zadanie jako zakończone?')">
        </form>
    </div>
</div>

<?php include 'footer.php'; ?>
