<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Edytuj zadanie</h2>
    <div class="btn-group">
        <button type="submit" form="taskForm" class="btn btn-primary">
            <i class="fas fa-save"></i> Zapisz zmiany
        </button>
        <a href="/tasks" class="btn btn-success">
            <i class="fas fa-list"></i> Lista zadań
        </a>
    </div>
</div>

<div class="card shadow">
    <div class="card-body">
        <form id="taskForm" action="/task/edit/<?php echo $task['id']; ?>" method="post" class="form-container">
            <div class="form-section mb-4">
                <h3 class="section-title mb-3">Szczegóły zadania</h3>
                <div class="form-fields">
                    <div class="form-group">
                        <label for="title" class="form-label required">Tytuł:</label>
                        <input type="text" 
                               id="title" 
                               name="title" 
                               class="form-control <?php echo isset($errors['title']) ? 'is-invalid' : ''; ?>" 
                               value="<?php echo htmlspecialchars($task['title']); ?>" 
                               required>
                        <?php if (isset($errors['title'])): ?>
                            <div class="invalid-feedback"><?php echo $errors['title']; ?></div>
                        <?php endif; ?>
                    </div>
                    <div class="form-group">
                        <label for="description" class="form-label">Opis:</label>
                        <textarea id="description" name="description" class="form-control"><?php echo htmlspecialchars($task['description']); ?></textarea>
                    </div>
                    <div class="form-group">
                        <label for="priority" class="form-label required">Priorytet:</label>
                        <select name="priority" id="priority" class="form-select" required>
                            <?php foreach (Task::getPriorities() as $value => $label): ?>
                                <option value="<?php echo $value; ?>" <?php echo $task['priority'] == $value ? 'selected' : ''; ?>>
                                    <?php echo $label; ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="due_date" class="form-label">Termin (opcjonalnie):</label>
                        <input type="date" 
                               id="due_date" 
                               name="due_date" 
                               class="form-control <?php echo isset($errors['due_date']) ? 'is-invalid' : ''; ?>" 
                               value="<?php echo $task['due_date']; ?>">
                        <?php if (isset($errors['due_date'])): ?>
                            <div class="invalid-feedback"><?php echo $errors['due_date']; ?></div>
                        <?php endif; ?>
                    </div>
                    <div class="form-group">
                        <label for="status" class="form-label required">Status:</label>
                        <select name="status" id="status" class="form-select" required>
                            <?php foreach (Task::getStatuses() as $value => $label): ?>
                                <option value="<?php echo $value; ?>" <?php echo $task['status'] == $value ? 'selected' : ''; ?>>
                                    <?php echo $label; ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="assigned_to" class="form-label">Przypisz do:</label>
                        <select name="assigned_to" id="assigned_to" class="form-select">
                            <option value="">Ogólne</option>
                            <?php 
                            $users = User::getAll();
                            foreach ($users as $user): 
                            ?>
                                <option value="<?php echo $user['id']; ?>" 
                                        <?php echo $task['assigned_to'] == $user['id'] ? 'selected' : ''; ?>>
                                    <?php echo htmlspecialchars($user['name']); ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<?php include 'footer.php'; ?>
