<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Aktualizuj przebieg - <?php echo htmlspecialchars($vehicle['brand'] . ' ' . $vehicle['model']); ?></h2>
        </div>
        <div class="card-body">
            <?php if (isset($_GET['warning'])): ?>
                <div class="alert alert-warning">
                    <?php echo htmlspecialchars($_GET['warning']); ?>
                </div>
            <?php endif; ?>
            <?php if (isset($_GET['error'])): ?>
                <div class="alert alert-danger">
                    <?php echo htmlspecialchars($_GET['error']); ?>
                </div>
            <?php endif; ?>
            <form action="/vehicle/update-mileage/<?php echo $vehicle['id']; ?>" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Informacje o przebiegu</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="mileage_date" class="form-label required">Miesiąc i rok:</label>
                            <input type="month" id="mileage_date" name="mileage_date" class="form-control" required value="<?php echo $defaultDate; ?>">
                        </div>
                        <div class="form-group">
                            <label for="mileage" class="form-label required">Przebieg (km):</label>
                            <input type="number" id="mileage" name="mileage" class="form-control" required>
                        </div>
                        <?php if ($latestMileage): ?>
                            <div class="form-group">
                                <label>Ostatni zapisany przebieg:</label>
                                <p class="last-mileage"><?php echo number_format($latestMileage['mileage'], 0, ',', ' '); ?> km (<?php echo $latestMileage['mileage_date']; ?>)</p>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-lg">Aktualizuj przebieg</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>