<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Edytuj użytkownika</h2>
        </div>
        <div class="card-body">
            <form action="/user/edit/<?php echo $user['id']; ?>" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Dane użytkownika</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="name" class="form-label required">Imię i nazwisko:</label>
                            <input type="text" id="name" name="name" class="form-control" value="<?php echo htmlspecialchars($user['name']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="email" class="form-label required">Email:</label>
                            <input type="email" id="email" name="email" class="form-control" value="<?php echo htmlspecialchars($user['email']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="role" class="form-label required">Rola:</label>
                            <select id="role" name="role" class="form-select" required>
                                <option value="user" <?php echo $user['role'] == 'user' ? 'selected' : ''; ?>>Użytkownik</option>
                                <option value="admin" <?php echo $user['role'] == 'admin' ? 'selected' : ''; ?>>Administrator</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="phone_number" class="form-label">Numer telefonu:</label>
                            <input type="tel" id="phone_number" name="phone_number" class="form-control" value="<?php echo htmlspecialchars($user['phone_number']); ?>">
                        </div>
                    </div>
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-lg">Zapisz zmiany</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>