<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Lista użytkowników</h2>
    <a href="/user/add" class="btn btn-primary btn-add-user">
        <i class="fas fa-plus"></i> Dodaj użytkownika
    </a>
</div>

<div class="card shadow">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>Lp.</th>
                        <th>Imię i nazwisko</th>
                        <th>Email</th>
                        <th>Rola</th>
                        <th>Telefon</th>
                        <th>Akcje</th>
                    </tr>
                </thead>
                <tbody id="user-list">
                    <?php foreach ($users as $index => $user): ?>
                        <tr>
                            <td><?php echo $index + 1; ?></td>
                            <td><?php echo htmlspecialchars($user['name']); ?></td>
                            <td><?php echo htmlspecialchars($user['email']); ?></td>
                            <td><?php echo htmlspecialchars($user['role']); ?></td>
                            <td><?php echo htmlspecialchars($user['phone_number']); ?></td>
                            <td>
                                <div class="btn-group" role="group" aria-label="Akcje użytkownika">
                                    <a href="/profile/<?php echo $user['id']; ?>" class="btn btn-outline-primary btn-sm" title="Szczegóły">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                    <a href="/user/edit/<?php echo $user['id']; ?>" class="btn btn-outline-secondary btn-sm" title="Edytuj">
                                        <i class="fas fa-edit"></i>
                                    </a>
                                    <button type="button" class="btn btn-outline-danger btn-sm" title="Usuń" onclick="confirmDelete(<?php echo $user['id']; ?>)">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<script>
function confirmDelete(userId) {
    if (confirm('Czy na pewno chcesz usunąć tego użytkownika?')) {
        var form = document.createElement('form');
        form.method = 'POST';
        form.action = '/user/delete/' + userId;
        document.body.appendChild(form);
        form.submit();
    }
}
</script>

<?php include 'footer.php'; ?>
