<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="section-header mb-3 d-flex justify-content-between align-items-center">
        <h2>Mój profil</h2>
    </div>

    <div class="card shadow mb-4">
        <div class="card-body">
            <form action="/profile/update" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Dane osobowe</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="name" class="form-label required">Imię i nazwisko:</label>
                            <input type="text" id="name" name="name" class="form-control" value="<?php echo htmlspecialchars($user['name']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="email" class="form-label required">Email:</label>
                            <input type="email" id="email" name="email" class="form-control" value="<?php echo htmlspecialchars($user['email']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="phone_number" class="form-label">Numer telefonu:</label>
                            <input type="tel" id="phone_number" name="phone_number" class="form-control" value="<?php echo htmlspecialchars($user['phone_number']); ?>">
                        </div>
                    </div>
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-lg">Aktualizuj profil</button>
                </div>
            </form>
        </div>
    </div>

    <div class="card shadow mb-4">
        <div class="card-body">
            <form action="/profile/change-password" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Zmień hasło</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="current_password" class="form-label required">Aktualne hasło:</label>
                            <input type="password" id="current_password" name="current_password" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label for="new_password" class="form-label required">Nowe hasło:</label>
                            <input type="password" id="new_password" name="new_password" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label for="confirm_password" class="form-label required">Potwierdź nowe hasło:</label>
                            <input type="password" id="confirm_password" name="confirm_password" class="form-control" required>
                        </div>
                    </div>
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-lg">Zmień hasło</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>