<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Dodaj nowy pojazd</h2>
        </div>
        <div class="card-body">
            <form action="/vehicle/add" method="post" class="form-container">
                <?php
                $sections = [
                    'Dane pojazdu' => ['brand', 'model', 'year', 'registration_number', 'vin'],
                    'Informacje dodatkowe' => ['purchase_date', 'first_registration_date', 'company_id']
                ];

                $fields = [
                    'brand' => 'Marka',
                    'model' => 'Model',
                    'year' => 'Rok produkcji',
                    'registration_number' => 'Nr rejestracyjny',
                    'vin' => 'VIN',
                    'purchase_date' => 'Data zakupu',
                    'first_registration_date' => 'Data pierwszej rejestracji',
                    'company_id' => 'Firma'
                ];

                $required_fields = ['brand', 'model', 'year', 'vin', 'purchase_date', 'company_id'];

                foreach ($sections as $section_name => $section_fields):
                ?>
                    <div class="form-section mb-4">
                        <h3 class="section-title mb-3"><?php echo $section_name; ?></h3>
                        <div class="form-fields">
                            <?php foreach ($section_fields as $field): ?>
                                <div class="form-group">
                                    <label for="<?php echo $field; ?>" class="form-label"><?php echo $fields[$field]; ?>:</label>
                                    <div class="form-field">
                                        <?php if ($field === 'company_id'): ?>
                                            <select name="<?php echo $field; ?>" id="<?php echo $field; ?>" class="form-select" <?php echo in_array($field, $required_fields) ? 'required' : ''; ?>>
                                                <?php foreach ($companies as $company): ?>
                                                    <option value="<?php echo $company['id']; ?>">
                                                        <?php echo htmlspecialchars($company['name']); ?>
                                                    </option>
                                                <?php endforeach; ?>
                                            </select>
                                        <?php elseif (in_array($field, ['purchase_date', 'first_registration_date'])): ?>
                                            <input type="date" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" <?php echo in_array($field, $required_fields) ? 'required' : ''; ?>>
                                        <?php elseif ($field === 'year'): ?>
                                            <input type="number" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" <?php echo in_array($field, $required_fields) ? 'required' : ''; ?>>
                                        <?php else: ?>
                                            <input type="text" id="<?php echo $field; ?>" name="<?php echo $field; ?>" class="form-control" <?php echo in_array($field, $required_fields) ? 'required' : ''; ?>>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                <?php endforeach; ?>
                <div class="text-center mt-4">
                    <button type="submit" class="btn btn-primary btn-lg">Dodaj pojazd</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>
