<?php include 'header.php'; ?>

<div class="container mt-4">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h2 class="mb-0">Edytuj pojazd</h2>
        </div>
        <div class="card-body">
            <form action="/vehicle/edit/<?php echo $vehicle['id']; ?>" method="post" class="form-container">
                <div class="form-section mb-4">
                    <h3 class="section-title mb-3">Dane pojazdu</h3>
                    <div class="form-fields">
                        <div class="form-group">
                            <label for="brand" class="form-label required">Marka:</label>
                            <input type="text" id="brand" name="brand" class="form-control" value="<?php echo htmlspecialchars($vehicle['brand']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="model" class="form-label required">Model:</label>
                            <input type="text" id="model" name="model" class="form-control" value="<?php echo htmlspecialchars($vehicle['model']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="year" class="form-label required">Rok produkcji:</label>
                            <input type="number" id="year" name="year" class="form-control" value="<?php echo htmlspecialchars($vehicle['year']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="registration_number" class="form-label required">Nr rejestracyjny:</label>
                            <input type="text" id="registration_number" name="registration_number" class="form-control" value="<?php echo htmlspecialchars($vehicle['registration_number']); ?>">
                        </div>
                        <div class="form-group">
                            <label for="vin" class="form-label required">VIN:</label>
                            <input type="text" id="vin" name="vin" class="form-control" value="<?php echo htmlspecialchars($vehicle['vin']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="purchase_date" class="form-label required">Data zakupu:</label>
                            <input type="date" id="purchase_date" name="purchase_date" class="form-control" value="<?php echo htmlspecialchars($vehicle['purchase_date']); ?>" required>
                        </div>
                        <div class="form-group">
                            <label for="first_registration_date" class="form-label required">Data pierwszej rejestracji:</label>
                            <input type="date" id="first_registration_date" name="first_registration_date" class="form-control" value="<?php echo htmlspecialchars($vehicle['first_registration_date']); ?>" >
                        </div>
                        <div class="form-group">
                            <label for="company_id" class="form-label required">Firma:</label>
                            <select name="company_id" id="company_id" class="form-control" required>
                                <?php foreach ($companies as $company): ?>
                                    <option value="<?php echo $company['id']; ?>" <?php echo $vehicle['company_id'] == $company['id'] ? 'selected' : ''; ?>>
                                        <?php echo htmlspecialchars($company['name']); ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-footer">
                    <button type="submit" class="btn btn-primary btn-lg">Zapisz</button>
                </div>
            </form>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>