<!-- app/views/vehicle_inspections.php -->
<?php include 'header.php'; ?>

<div class="container">
    <div class="details-frame">
        <div class="frame-header">
            <h2>Przeglądy</h2>
            <a href="/inspection/add" class="button">Dodaj przegląd</a>
        </div>
        <div class="table-responsive">
            <table class="data-table">
                <thead>
                    <tr>
                        <th>Marka</th>
                        <th>Model</th>
                        <th>Nr rejestracyjny</th>
                        <th>Typ przeglądu</th>
                        <th>Data przeglądu</th>
                        <th>Data ważności</th>
                        <th>Akcje</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($inspections as $inspection): ?>
                        <tr class="<?php echo (strtotime($inspection['expiration_date']) < strtotime('+1 month')) ? 'highlight' : ''; ?>">
                            <td><?php echo $inspection['brand']; ?></td>
                            <td><?php echo $inspection['model']; ?></td>
                            <td><?php echo $inspection['registration_number']; ?></td>
                            <td><?php echo $inspection['inspection_type']; ?></td>
                            <td><?php echo $inspection['inspection_date']; ?></td>
                            <td><?php echo $inspection['expiration_date']; ?></td>
                            <td>
                                <a href="/inspection/edit/<?php echo $inspection['id']; ?>" class="button">Edytuj</a>
                                <a href="/inspection/delete/<?php echo $inspection['id']; ?>" class="button">Usuń</a>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>
