<?php include 'header.php'; ?>

<div class="section-header mb-3 d-flex justify-content-between align-items-center">
    <h2>Lista pojazdów</h2>
    <a href="/vehicles/add" class="btn btn-primary btn-add-vehicle">
        <i class="fas fa-plus"></i> Dodaj pojazd
    </a>
</div>

<div class="card shadow">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>Lp.</th>
                        <th>Marka</th>
                        <th>Model</th>
                        <th>Nr rejestracyjny</th>
                        <th>Rok produkcji</th>
                        <th>Akcje</th>
                    </tr>
                </thead>
                <tbody id="vehicle-list">
                    <?php foreach ($vehicles as $index => $vehicle): ?>
                        <tr>
                            <td><?php echo $index + 1; ?></td>
                            <td><?php echo htmlspecialchars($vehicle['brand']); ?></td>
                            <td><?php echo htmlspecialchars($vehicle['model']); ?></td>
                            <td><?php echo htmlspecialchars($vehicle['registration_number']); ?></td>
                            <td><?php echo htmlspecialchars($vehicle['year']); ?></td>
                            <td>
                                <div class="btn-group" role="group" aria-label="Akcje pojazdu">
                                    <a href="/vehicle/<?php echo $vehicle['id']; ?>" class="btn btn-outline-primary btn-sm" title="Szczegóły">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                    <a href="/vehicle/edit/<?php echo $vehicle['id']; ?>" class="btn btn-outline-secondary btn-sm" title="Edytuj">
                                        <i class="fas fa-edit"></i>
                                    </a>
                                    <button type="button" class="btn btn-outline-danger btn-sm" title="Usuń" onclick="confirmDelete(<?php echo $vehicle['id']; ?>)">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<script>
function confirmDelete(vehicleId) {
    if (confirm('Czy na pewno chcesz usunąć ten pojazd?')) {
        fetch(`/vehicle/delete/${vehicleId}`, {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
        })
        .then(response => response.json())
        .then(data => {
            if (data.success) {
                window.location.reload();
            } else {
                alert('Wystąpił błąd podczas usuwania pojazdu: ' + (data.message || 'Nieznany błąd'));
            }
        })
        .catch(error => {
            console.error('Error:', error);
            alert('Wystąpił błąd podczas usuwania pojazdu');
        });
    }
}
</script>

<?php include 'footer.php'; ?>
