# Dokumentacja projektu KOBAS (panel.kobas.pl)

## Wprowadzenie

Ten katalog zawiera dokumentację techniczną projektu KOBAS (Comprehensive Business and Administrative Management System). Dokumentacja jest przeznaczona dla deweloperów pracujących nad projektem i zawiera szczegółowe informacje na temat architektury, konfiguracji i funkcjonalności systemu.

## Spis dokumentacji

1. [System logowania](system_logow.md) - Dokumentacja systemu logowania w projekcie KOBAS, w tym konfiguracja, funkcje logowania i zalecenia dotyczące logowania.

## Struktura projektu

Projekt KOBAS jest zbudowany w PHP z wykorzystaniem frameworka Flight. System wykorzystuje architekturę MVC (Model-View-Controller) i bazę danych MySQL do przechowywania danych.

### Główne katalogi

- `app/` - Główny katalog aplikacji
  - `controllers/` - Kontrolery obsługujące logikę biznesową
  - `helpers/` - Funkcje pomocnicze
  - `models/` - Modele do interakcji z bazą danych
  - `views/` - Szablony widoków
- `config/` - Pliki konfiguracyjne
- `public/` - Zasoby publiczne i punkt wejścia aplikacji
- `uploads/` - Katalog na przesyłane pliki
- `vendor/` - Biblioteki zewnętrzne (zarządzane przez Composer)

## Konfiguracja środowiska

Projekt wymaga następujących komponentów:
- PHP 7.4+
- MySQL 5.7+
- Apache 2.4+
- Composer (do zarządzania zależnościami)

## Kontakt

W przypadku pytań lub problemów związanych z projektem, skontaktuj się z administratorem systemu. 