<?php
session_start();
define('ROOT_PATH', dirname(__DIR__));
require_once ROOT_PATH . '/app/models/equipment.php';
require_once ROOT_PATH . '/app/models/company.php';

// Funkcja do testowania dodawania sprzętu
function testAddEquipment() {
    $data = [
        'name' => 'Test Sprzęt',
        'company_id' => 1, // Zakładamy, że firma o ID 1 istnieje
        'serial_number' => 'SN123456',
        'description' => 'Opis testowego sprzętu',
        'purchase_date' => '2023-01-01',
        'category' => 'Kategoria Testowa',
        'status' => 'active',
        'last_maintenance_date' => '2023-06-01',
        'next_maintenance_date' => '2024-06-01'
    ];

    $result = Equipment::add($data);
    echo $result ? "Dodawanie sprzętu: Sukces\n" : "Dodawanie sprzętu: Niepowodzenie\n";
}

// Funkcja do testowania pobierania wszystkich sprzętów
function testGetAllEquipment() {
    $equipment = Equipment::getAll();
    echo "Pobieranie wszystkich sprzętów: " . count($equipment) . " znalezionych\n";
}

// Funkcja do testowania edytowania sprzętu
function testUpdateEquipment($id) {
    $data = [
        'name' => 'Zaktualizowany Sprzęt',
        'company_id' => 1,
        'serial_number' => 'SN654321',
        'description' => 'Zaktualizowany opis',
        'purchase_date' => '2023-01-01',
        'category' => 'Kategoria Zaktualizowana',
        'status' => 'inactive',
        'last_maintenance_date' => '2023-06-01',
        'next_maintenance_date' => '2024-06-01'
    ];

    $result = Equipment::update($id, $data);
    echo $result ? "Edycja sprzętu ID $id: Sukces\n" : "Edycja sprzętu ID $id: Niepowodzenie\n";
}

// Funkcja do testowania usuwania sprzętu
function testDeleteEquipment($id) {
    $result = Equipment::delete($id);
    echo $result ? "Usuwanie sprzętu ID $id: Sukces\n" : "Usuwanie sprzętu ID $id: Niepowodzenie\n";
}

// Przykładowe wywołania testów
testAddEquipment();
testGetAllEquipment();

// Zakładamy, że sprzęt o ID 1 istnieje
testUpdateEquipment(1);
testDeleteEquipment(1); 